<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

ini_set('display_errors', 1);
error_reporting(E_ERROR);
$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$usertype = $_SESSION["usertype"];
$username = $_SESSION["username_" . $dbname];
$saleexec = $_SESSION["saleexec"];

if ($usertype != 1) {
    $keycond1 = " and a.`salesman`='$saleexec'";
} else {
    $keycond1 = "";
}

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];
$parasrch = $_REQUEST["parasrch"];

    $file = "sale.php";
    $maindb = "salemain";

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`invno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "1") {
            $cond = "AND b.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`architect` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND a.`salesman` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND a.`billamt` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`invno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "1") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`architect` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND a.`salesman` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND a.`billamt` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY a.`vouchdt`";
if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`invno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`architect`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`salesman`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`billamt`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
} else {
    $ordcond = "ASC";
}



$query = "SELECT a.vouchno, a.voucher, date_format(a.`vouchdt`,'%d-%m-%Y') as vouchdt, a.invno, a.party, a.rem1, a.salesman , a.architect,
          a.billamt, b.accode, b.name FROM `$maindb` a, `accmast` b WHERE a.`party` = b.`accode` $keycond1
          $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $sl = "SELECT `name` from accmast where `accode` = '$r[salesman]'";
    $rsl = mysqli_query($conn, $sl)or die(mysqli_error($conn));
    $rslf = mysqli_fetch_array($rsl);

    $ar = "SELECT `name` from accmast where `accode` = '$r[architect]'";
    $rar = mysqli_query($conn, $ar)or die(mysqli_error($conn));
    $rarf = mysqli_fetch_array($rar);

    $rows[] = ['success' => true,
        'voucher' => $r['vouchno'],
        'invno' => $r['invno'],
        'vouchdt' => $r['vouchdt'],
        'name' => $r['name'],
        'salesman' => $rslf['name'],
        'architect' => $rarf['name'],
        'billamt' => $r['billamt'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
